Loading...
Searching...
No Matches
starpu_hip.h File Reference
`#include <starpu_config.h>`
`#include <hip/hip_runtime.h>`
`#include <hip/hip_runtime_api.h>`

Go to the source code of this file.

## Macros

#define | STARPU_HIPBLAS_REPORT_ERROR(status)
#define | STARPU_HIP_REPORT_ERROR(status)

## Functions

void | starpu_hipblas_report_error (const char *func, const char *file, int line, int status)
void | starpu_hip_report_error (const char *func, const char *file, int line, hipError_t status)
hipStream_t | starpu_hip_get_local_stream (void)
const struct hipDeviceProp_t * | starpu_hip_get_device_properties (unsigned workerid)
int | starpu_hip_copy_async_sync (void *src_ptr, unsigned src_node, void *dst_ptr, unsigned dst_node, size_t ssize, hipStream_t stream, hipMemcpyKind kind)
int | starpu_hip_copy2d_async_sync (void *src_ptr, unsigned src_node, void *dst_ptr, unsigned dst_node, size_t blocksize, size_t numblocks, size_t ld_src, size_t ld_dst, hipStream_t stream, hipMemcpyKind kind)
int | starpu_hip_copy3d_async_sync (void *src_ptr, unsigned src_node, void *dst_ptr, unsigned dst_node, size_t blocksize, size_t numblocks_1, size_t ld1_src, size_t ld1_dst, size_t numblocks_2, size_t ld2_src, size_t ld2_dst, hipStream_t stream, hipMemcpyKind kind)
void | starpu_hip_set_device (int devid)